import { defineComponent as n, computed as o, openBlock as a, createElementBlock as l, createVNode as s, unref as r, normalizeStyle as p } from "vue";
import h from "../../../NComponents/echartsContainer/EchartsContainer.mjs";
const m = n({ name: "ELineGradientSingle" }), g = /* @__PURE__ */ n({
  ...m,
  props: {
    themeColor: {
      type: Object,
      required: !1
    },
    themeSetting: {
      type: Object,
      required: !1
    },
    chartConfig: {
      type: Object,
      required: !0
    }
  },
  setup(t) {
    const e = t, i = o(() => e.chartConfig.option), c = o(() => ({
      height: e.chartConfig.attr.h,
      width: e.chartConfig.attr.w
    }));
    return (u, f) => (a(), l("div", null, [
      s(h, {
        options: r(i),
        theme: t.themeColor,
        style: p(r(c))
      }, null, 8, ["options", "theme", "style"])
    ]));
  }
});
export {
  g as default
};
